/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.workitemstock.entity;


import com.jeeplus.common.persistence.DataEntity;
import com.jeeplus.common.utils.excel.annotation.ExcelField;

/**
 * 采购验收物品Entity
 * @author lw
 * @version 2018-07-18
 */
public class WorkItemStock extends DataEntity<WorkItemStock> {
	public static final String SERIAL_BIZCODE = "19";
	private static final long serialVersionUID = 1L;
	private String stockId;		// 采购申请主键
	private String catalogueItemId;		// 物品目录id
	private String count;		// 数量
	private String price;		// 单价
	private String totalPrice;		// 合计
	private String contractId;		// 采购合同
	private String contractName;    //采购合同名称
	private String supplierName;		// 供应商
	private String isAssets;		// 是否固定资产  (0否1是)
	private String number;		// 物品编号
	private String name;		// 物品名称
	private String type;		// 物品分类
	private String model;		// 规格型号
	private String primaryUnit;		// 计量单位
	private String assetsNumber;   //固定资产编号

	private String sign; //标记(1固定资产用   空或者0 未设计资产编号    为物品验收列表和固定资产列表区分)

	public String getSign() {
		return sign;
	}

	public void setSign(String sign) {
		this.sign = sign;
	}

	public WorkItemStock() {
		super();
	}

	public WorkItemStock(String id){
		super(id);
	}

	@ExcelField(title="采购申请主键", align=2, sort=7)
	public String getStockId() {
		return stockId;
	}

	public void setStockId(String stockId) {
		this.stockId = stockId;
	}
	
	@ExcelField(title="物品目录id", align=2, sort=8)
	public String getCatalogueItemId() {
		return catalogueItemId;
	}

	public void setCatalogueItemId(String catalogueItemId) {
		this.catalogueItemId = catalogueItemId;
	}
	
	@ExcelField(title="数量", align=2, sort=9)
	public String getCount() {
		return count;
	}

	public void setCount(String count) {
		this.count = count;
	}
	
	@ExcelField(title="单价", align=2, sort=10)
	public String getPrice() {
		return price;
	}

	public void setPrice(String price) {
		this.price = price;
	}
	
	@ExcelField(title="合计", align=2, sort=11)
	public String getTotalPrice() {
		return totalPrice;
	}

	public void setTotalPrice(String totalPrice) {
		this.totalPrice = totalPrice;
	}
	
	@ExcelField(title="采购合同", align=2, sort=12)
	public String getContractId() {
		return contractId;
	}

	public void setContractId(String contractId) {
		this.contractId = contractId;
	}
	
	@ExcelField(title="供应商", align=2, sort=13)
	public String getSupplierName() {
		return supplierName;
	}

	public void setSupplierName(String supplierName) {
		this.supplierName = supplierName;
	}
	
	@ExcelField(title="是否固定资产", align=2, sort=14)
	public String getIsAssets() {
		return isAssets;
	}

	public void setIsAssets(String isAssets) {
		this.isAssets = isAssets;
	}
	
	@ExcelField(title="物品编号", align=2, sort=15)
	public String getNumber() {
		return number;
	}

	public void setNumber(String number) {
		this.number = number;
	}
	
	@ExcelField(title="物品名称", align=2, sort=16)
	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}
	
	@ExcelField(title="物品分类", align=2, sort=17)
	public String getType() {
		return type;
	}

	public void setType(String type) {
		this.type = type;
	}

	public String getAssetsNumber() {
		return assetsNumber;
	}

	public void setAssetsNumber(String assetsNumber) {
		this.assetsNumber = assetsNumber;
	}

	public String getContractName() {
		return contractName;
	}

	public void setContractName(String contractName) {
		this.contractName = contractName;
	}

	@ExcelField(title="规格型号", align=2, sort=18)
	public String getModel() {
		return model;
	}

	public void setModel(String model) {
		this.model = model;
	}
	
	@ExcelField(title="计量单位", align=2, sort=19)
	public String getPrimaryUnit() {
		return primaryUnit;
	}

	public void setPrimaryUnit(String primaryUnit) {
		this.primaryUnit = primaryUnit;
	}
	
}